<div class="clearfix row" *ngIf="historicalInspectionList.length > 0">
  <div class="float-left col-sm-10"><h3 style="margin-top: 10px">Past Inspections</h3></div>
  <div class=" float-right col-sm-2 text-center">
    <i id="refreshButton" class="zmdi zmdi-refresh"  matTooltip="Refresh" matTooltipPosition="left" (click)="getTotalCount();"></i>
    <!--<div class="row d-flex justify-content-center">
      <button class="btn active btn-primary waves-light refreshBtn" title="Refresh" mdbWavesEffect (click)="getTotalCount()"><i class="zmdi zmdi-refresh"></i></button>
    </div>-->
  </div>
</div>

<div class="row">
  <div class="col-sm-12 col-md-12 col-lg-12 col-xl-12" *ngIf="historicalInspectionList.length > 0">
    <!--<h3 style="margin-top: 10px">Past Inspections</h3>-->
    <div>
      <app-report-table [historicalInspectionList]="historicalInspectionList" [showCarPlate]="true" [showEqiFound]="true" [showEngineDig]="true"
                        [showUvi]="true" [showAvdds]="true" [showDriverInput]="true" [showStartTime]="true" [showEndTime]="true" [showPdf]="true"
                        (inspectedCarDetailsForPdfViewer)="pdfViewer($event)"
                        (reportComponentDetailsForModalReportDetails)="reportComponentDetailsToView($event)"></app-report-table>
    </div>
  </div>
</div>

<div><h3 *ngIf="historicalInspectionList.length === 0" class="asset-not-found"><span>&ldquo;</span>Reports not found<span>&rdquo;</span></h3></div>
<div class="col-md-12  col-sm-12 d-flex justify-content-center" *ngIf="historicalInspectionList.length > 0" style="margin-top: 10px">
<!--  <ngb-pagination *ngIf="inspectionDetails.pagination.totalNoOfRecords > 0" class="d-flex justify-content-center "
                  [collectionSize]="inspectionDetails.pagination.totalNoOfRecords"
                  [(page)]="inspectionDetails.pagination.currentPage" [maxSize]="3"
                  [rotate]="true"
                  [boundaryLinks]="true"
                  (pageChange)="getAllInspectedAsset($event)"
                  [pageSize]="inspectionDetails.pagination.recordsPerPage"
                  aria-label="Default pagination">

  </ngb-pagination>-->
  <mat-paginator #paginator *ngIf="inspectionDetails.pagination.totalNoOfRecords > 0" [length]="inspectionDetails.pagination.totalNoOfRecords"
                 [showFirstLastButtons]="true" (page)="getAllInspectedAsset($event)" [pageIndex]="0"
                 [pageSize]="inspectionDetails.pagination.recordsPerPage">
  </mat-paginator>
  <mat-form-field color="accent" style="text-align: center" class="matPagination">
    <mat-select placeholder="Select Page" [(ngModel)]="pageNumber" (ngModelChange)="updatePageNumber($event)">
      <mat-option *ngFor="let pageNo of inputArr" [value]="pageNo">{{pageNo}}</mat-option>
    </mat-select>
  </mat-form-field>
</div>

<app-pdf-viewer [selectedReportData]="selectedReportDetails" (inspectedCarDetailsForReportPage)="generatePdf($event)"></app-pdf-viewer>
<app-modal-lg-report-details [selectedInspectedCarIndividualComponentDetails]="selectedInspectedCarIndividualComponentDetails" [showEngineDiagnosticDetails]="showReportComponentDetails.showEngineDiagnosticDetails"
                             [showUvisDetails]="showReportComponentDetails.showUvisDetails" [showAvddsDetails]="showReportComponentDetails.showAvddsDetails"
                             [showDriverFeedback]="showReportComponentDetails.showDriverFeedback" [randomNumberToSetData]="randomNumberToSetData"></app-modal-lg-report-details>

<div *ngIf="showSlider"><app-right-sidebar [assetLinkedDetails]="assetLinkedDetails" [assetConfigDetails]="assetConfigDetails" [assetData]="carDetails" [isAssetDetailsInReadMode]="isAssetDetailsInReadMode"></app-right-sidebar></div>

<div *ngIf="isShowAsset">
  <app-loader></app-loader>
</div>
